API ReferenceProjects
Update a project (rename / re-slug / describe).
Update a project (rename / re-slug / describe). - Rensei REST API operation reference.
PATCH
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
projectId*stringProject id.
application/json- body
name?stringslug?stringLowercase alphanumeric with hyphens.
description?string|nullProject updated.
application/json- response
project*curl -X PATCH 'https://app.rensei.ai/api/projects/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "project": { "id": "string", "orgId": "string", "name": "string", "slug": "string", "description": "string", "property1": null, "property2": null }}